package com.kaixed.kchat.viewmodel

import androidx.lifecycle.MutableLiveData
import androidx.lifecycle.ViewModel
import com.kaixed.kchat.model.response.login.Login
import com.kaixed.kchat.repository.UserRepo

/**
 * @Author: kaixed
 * @Date: 2024/10/23 20:19
 */
class LoginViewModel : ViewModel() {
    private val userRepo: UserRepo = UserRepo()

    fun login(username: String, password: String, loginByUsername :Boolean): MutableLiveData<Login?> =
        userRepo.login(username, password, loginByUsername)
}
